unabbreviateYear {oce} | R Documentation

## Determine year from various abbreviations

### Description

Determine year from various abbreviations

### Usage

    unabbreviateYear(year)

### Arguments

`year` | a year, or vector of years, possibly abbreviated

### Details

Various data files may contain various abbreviations for years. For example, 99 refers to 1999, and 8 refers to 2008. Sometimes, even 108 refers to 2008 (the idea being that the "zero" year was 1900). This function deals with the three cases mentioned. It will fail if someone supplies 60, meaning year 2060 as opposed to 1960.

### Author(s)

Dan Kelley

### Examples

    fullYear <- unabbreviateYear(c(99, 8, 108))

[Package oce version 0.9-18 Index]